/*
 * Copyright 2012 Netflix, Inc.
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package com.netflix.curator.framework.recipes.queue;

import com.netflix.curator.framework.state.ConnectionStateListener;

public interface QueueConsumer<T> extends ConnectionStateListener
{
    /**
     * Process a message from the queue
     *
     * @param message message to process
     * @throws Exception any errors
     */
    public void         consumeMessage(T message) throws Exception;
}
